<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Helper;

/**
 * Class LogHelper
 * @package FiloBlu\MappConnector\Helper
 */
class LogHelper
{

    /**
     * Log Buffer
     *
     * @var array
     */
    private static $_logBuffer = [];

    /**
     * Sets Log Message
     *
     * @param $msg
     */
    public static function setLog($msg)
    {
        self::$_logBuffer[] = $msg;
    }

    /**
     * Gets the log buffer
     *
     * @return array
     */
    public static function getLogBuffer()
    {
        return self::$_logBuffer;
    }

    /**
     * Resets the log buffer
     */
    public static function resetLogBuffer()
    {
        self::$_logBuffer = [];
    }

}